precision highp float;

// Attributes
attribute vec3 position;

// Uniforms
uniform mat4 world;
uniform mat4 worldViewProjection;

// Outputs
varying vec3 v_position; // World space position that will be used to sample the cubemap

void main() 
{
	gl_Position = worldViewProjection * vec4(position, 1.0);

	/// Final worldspace position assignment, however, due to how Babylon handles rendering...
	/// it is necessary to sometimes to invert the Y or Z of the position to maintain proper alignment
	v_position = (world * vec4(position, 1.0)).xyz;
}

